Bug 9608 - white background on header on check in
Summary: white background on header on check in
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Target Milestone: ---
Assignee: Owen Leonard
QA Contact: Jonathan Druart
URL: /cgi-bin/koha/circ/returns.pl
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-02-13 13:31 UTC by Nicole C. Engard
Modified: 2014-05-26 21:04 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
white background (46.98 KB, image/png)
2013-02-13 13:31 UTC, Nicole C. Engard
Details
Bug 9608 - White background on header on check in (6.60 KB, patch)
2013-02-13 16:19 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9608 - White background on header on check in (6.63 KB, patch)
2013-02-13 17:47 UTC, Nicole C. Engard
Details | Diff | Splinter Review
Bug 9608 - White background on header on check in (6.79 KB, patch)
2013-02-14 14:10 UTC, Jonathan Druart
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Nicole C. Engard 2013-02-13 13:31:39 UTC
Created attachment 15298 [details]
white background

On the check in page /cgi-bin/koha/circ/returns.pl the header has a white background instead of the usual blue found everywhere else.

This is in master and 3.10.2 (probably others as well)

Tested on Mac in the most recent FF and Chrome browsers.
Comment 1 Owen Leonard 2013-02-13 16:19:56 UTC Comment hidden (obsolete)
Comment 2 Nicole C. Engard 2013-02-13 17:47:26 UTC Comment hidden (obsolete)
Comment 3 Jonathan Druart 2013-02-14 14:10:24 UTC
QA comment:

I don't know how to know if the issue exists on other pages.
This patch fixes this ergonomic for at least 7 pages.

Marked as Passed QA.
Comment 4 Jonathan Druart 2013-02-14 14:10:38 UTC
Created attachment 15320 [details] [review]
Bug 9608 - White background on header on check in

The white background behind the header search form on the checkin
page appears because the search include is missing a <div> which carries
the background gradient CSS. This patch adds the missing markup to the
checkin search header include file and 6 others.

To test, view the following pages and confirm that the normal gradient
background appears behind the header search form:

- Checkin
- Contracts administration
- Currencies administration
- Notices and slips
- Printers administration (admin/printers.pl)
- Stop words administration (admin/stopwords.pl)
- Adding an order to a basket from a suggestions (Acquisitions -> Basket
  -> Add order to basket -> From a suggestions).

Signed-off-by: Nicole C. Engard <nengard@bywatersolutions.com>
Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Comment 5 Jared Camins-Esakov 2013-02-15 12:49:26 UTC
This patch has been pushed to master.
Comment 6 Chris Cormack 2013-04-24 08:47:46 UTC
Pushed to 3.10.x will be in 3.10.6